<!DOCTYPE html>
<html lang="ko" xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : ExchangeRequestForm.html
 * @desc    : 교환요청 화면
 *============================================================================
 * STYLE24
 * Copyright(C) 2021 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.01.15   card007     최초 작성
 *******************************************************************************
 -->
<div class="modalPopup" data-width="1400" data-height="600">
	<div class="panelStyle">
		<div class="panelTitle">
			<h2>교환요청</h2>
			<button type="button" class="close" onclick="uifnPopupClose('popupExchangeRequestForm');"><i class="fa fa-times"></i></button>
		</div>
			
		<div class="panelContent" style="height:90%; overflow-y:auto; padding:0px 20px !important; ">
			<form id="exchangeRequestFrm" name="exchangeRequestFrm" action="/orderChange/exchange" method="post" target="hdFrameForOrderExchange">
				<input type="hidden" name="ordNo" th:value="${ordNo}"/>
				<input type="hidden" name="chgReason" value=""/>
				<input type="hidden" name="chgReasonDesc" value=""/>
				
				<h4>주문정보</h4>
				<div id="gridOrderCancelRequestList" style="width:100%; height: 200px;" class="ag-theme-balham"></div>

				<h4>배송정보</h4>
				<div id="gridDelvCdList" style="width:100%; height: 140px;" class="ag-theme-balham"></div>
				
				<div style="text-align:right; padding-bottom:5px; padding-top:5px;">
					<button type="button" class="btn btn-success" th:unless="${ordChgSq > 0}" id="fnExchangeRequestSubmit" onclick="fnExchange()">교환요청</button>
					<button type="button" class="btn btn-success" th:if="${chgStat == 'G685_20' or chgStat == 'G685_21' or (recallExceptionInfo != null and (chgStat == 'G685_30' or chgStat == 'G685_31'))}" id="fnExchangeCancelRequestSubmit" onclick="fnExchangeCancel()">교환철회</button>
					<button type="button" class="btn btn-success" th:if="${ordChgSq > 0 and (ordChgGb == 'G681_20' or ordChgGb == 'G681_40')}" id="fnReturnToExchangeSubmit" onclick="fnExchange()">교환변경</button>
				</div>
				
				<table class="frmStyle">
					<colgroup>
						<col style="width:160px;" />
						<col style="width:320px;" />
						<col style="width:160px;" />
						<col style="width:320px;" />
						<col style="width:160px;" />
						<col />
					</colgroup>
					<tbody>
						<tr>
							<th>교환사유 <i class="star"></i></th>
							<td th:if="${ordChgSq <= 0 or ordChgGb == 'G681_40'}">
								<select name="selectChgReason" onchange="fnChangeChgReason($(this).val());">
									<option value="">[선택하세요]</option>
									<option th:if="${chgReasonList}" th:each="oneData, status : ${chgReasonList}" th:value="|${oneData.cd}:${oneData.cdNm}|" th:text="|[${oneData.cd}] ${oneData.cdNm}|"></option>
								</select>
							</td>
							<td th:if="${ordChgSq > 0 and ordChgGb != 'G681_40'}" th:id="chgReason"></td>
							<th>귀책사유</th>
							<td><span id="imputeReason"></span></td>
							<th>선발송</th>
							<td>
								<label class="chkBox">
									<input type="checkbox" name="wdBfSendYn" id="wdBfSendYn" disabled="disabled"/>
								</label>
							</td>
						</tr>
						<tr>
							<th>회수방법</th>
							<td>
								<label class="rdoBtn"><input type="radio" name="wdGb" th:id="wdGb" value="W" onclick="fnChangeWdGb(this)"/>회수요청<span></span></label>
								<label class="rdoBtn"><input type="radio" name="wdGb" th:id="wdGb" value="D" onclick="fnChangeWdGb(this)"/>직접발송<span></span></label>
							</td>
							<th>추가배송비</th>
							<td id="addDelvFee" colspan="3"></td>
						</tr>
						<tr>
							<th>요청메모</th>
							<td colspan="5">
								<textarea id="chgMemo" name="chgMemo" style="height:80px;" placeholder="교환사유를 300자내외로 작성해 주세요"></textarea>
							</td>
						</tr>
					</tbody>
				</table>
				
				<h4 class="chger">회수지 정보</h4>
				<button style="float: right" type="button" class="btn btn-success" th:if="${#strings.isEmpty(ordChgGb) and ordChgSq > 0 and (chgStat == 'G685_20' or chgStat == 'G685_21')}" onclick="fnChangeChgerInfo();">회수지 수정</button>
				<table class="frmStyle chger">
					<colgroup>
						<col style="width:160px;" />
						<col style="width:320px;" />
						<col style="width:160px;" />
						<col />
					</colgroup>
					<tbody>
						<tr>
							<th>보내는사람 <i class="star"></i></th>
							<td colspan="3"><input type="text" name ="chgerNm" class=""/></td>
						</tr>
						<tr>
							<th>회수지주소 <i class="star"></i></th>
							<td colspan="3">
								<input type="text" name ="chgerZipcode" class="w100" readonly="readonly"/>
								<button type="button" class="btn btn-info" th:if="${#strings.isEmpty(ordChgGb) and (ordChgSq == 0 or chgStat == 'G685_20' or chgStat == 'G685_21')}" onclick="fnOpenDaumAddr('withdraw');">우편번호찾기</button>
								<input type="text" name ="chgerBaseAddr" class="w300"/>
								<input type="text" name ="chgerDtlAddr" class="w300"/>
							</td>
						</tr>
						<tr>
							<th>일반전화</th>
							<td>
								<select name="chgerTelno1" class="w100">
									<option value="">[선택하세요]</option>
									<option th:if="${TelExcNoList}" th:each="oneData, status : ${TelExcNoList}" th:value="${oneData.cd}" th:text="${oneData.cd}"></option>
								</select>
								- <input type="text" name ="chgerTelno2" class="w60"/>
								- <input type="text" name ="chgerTelno3" class="w60"/>
							</td>
							<th>휴대전화 <i class="star"></i></th>
							<td>
								<select name="chgerPhnno1" class="w100">
									<option value="">[선택하세요]</option>
									<option th:if="${PhnExcNoList}" th:each="oneData, status : ${PhnExcNoList}" th:value="${oneData.cd}" th:text="${oneData.cd}"></option>
								</select>
								- <input type="text" name ="chgerPhnno2" class="w60"/>
								- <input type="text" name ="chgerPhnno3" class="w60"/>
							</td>
						</tr>
						<tr>
							<th>반품메모</th>
							<td colspan="3">
								<textarea id="chgerRtnMemo" name="chgerRtnMemo" style="height:80px;" placeholder="반품메모(수거시요청사항)를 300자내외로 작성해 주세요"></textarea>
							</td>
						</tr>
					</tbody>
				</table>

				<h4>교환지 정보</h4>
				<button style="float: right" type="button" class="btn btn-success" th:unless="${ordChgSq == 0 or !#strings.isEmpty(ordChgGb) or (chgStat == 'G685_40' and (chgOrdDtlStat != 'G013_20' or chgOrdDtlStat != 'G013_30' or chgOrdDtlStat != 'G013_35'))}" onclick="fnChangeRecipInfo();">교환지 수정</button>
				<table class="frmStyle">
					<colgroup>
						<col style="width:160px;" />
						<col style="width:320px;" />
						<col style="width:160px;" />
						<col />
					</colgroup>
					<tbody>
					<tr>
						<th>받는사람 <i class="star"></i></th>
						<td colspan="3"><input type="text" name ="recipNm" class=""/></td>
					</tr>
					<tr>
						<th>교환지주소 <i class="star"></i></th>
						<td colspan="3">
							<input type="text" name ="recipZipcode" class="w100" readonly="readonly"/>
							<button type="button" class="btn btn-info" th:unless="${ordChgGb == 'G681_20' or (chgStat == 'G685_40' and (chgOrdDtlStat != 'G013_20' or chgOrdDtlStat != 'G013_30' or chgOrdDtlStat != 'G013_35'))}" onclick="fnOpenDaumAddr('exchange');">우편번호찾기</button>
							<input type="text" name ="recipBaseAddr" class="w300"/>
							<input type="text" name ="recipDtlAddr" class="w300"/>
						</td>
					</tr>
					<tr>
						<th>일반전화</th>
						<td>
							<select name="recipTelno1" class="w100">
								<option value="">[선택하세요]</option>
								<option th:if="${TelExcNoList}" th:each="oneData, status : ${TelExcNoList}" th:value="${oneData.cd}" th:text="${oneData.cd}"></option>
							</select>
							- <input type="text" name ="recipTelno2" class="w60"/>
							- <input type="text" name ="recipTelno3" class="w60"/>
						</td>
						<th>휴대전화 <i class="star"></i></th>
						<td>
							<select name="recipPhnno1" class="w100">
								<option value="">[선택하세요]</option>
								<option th:if="${PhnExcNoList}" th:each="oneData, status : ${PhnExcNoList}" th:value="${oneData.cd}" th:text="${oneData.cd}"></option>
							</select>
							- <input type="text" name ="recipPhnno2" class="w60"/>
							- <input type="text" name ="recipPhnno3" class="w60"/>
						</td>
					</tr>
					<tr>
						<th>배송메모</th>
						<td colspan="3">
							<textarea id="delvMemo" name="delvMemo" style="height:80px;" placeholder="배송메모를 300자내외로 작성해 주세요"></textarea>
						</td>
					</tr>
					</tbody>
				</table>
			</form>
		</div>
	</div>
</div>

<!-- data -->
<script th:inline="javascript">
/*<![CDATA[*/
var cancelRequestTargetList = [[${cancelRequestTargetList}]];				// 교환대상목록
var ordNo 					= [[${ordNo}]];									// 주문번호
var ordChgSq 				= [[${ordChgSq}]];								// 주문변경번호
var chgStat					= [[${chgStat}]];								// 변경상태
var orderInfoList 			= [[${orderInfoList}]];							// 주문기본정보
var payMeans 				= orderInfoList[0].payMeans;					// 결제수단
var orderDelvAddrInfo		= [[${orderDelvAddrInfo}]];						// 회수지정보
var recallExceptionInfo		= [[${recallExceptionInfo}]];					// 회수 예외 정보
var addDelvFee				= 0;											// 추가배송비
var addDelvFeeList			= [];											// 추가배송비정보
var exchangeRequestList		= [];											// 교환요청목록
var exchangeInfoList;														// 교환정보
var wdGb;																	// 회수방법
var ordChgGb;																// 변경요청변경구분
var orderChangeDetailList;													// 취소/반품/교환요청 정보
var chgOrdDtlStat;															// 교환상품상세상태값
var delvAddrSq;																// 교환상품배송지일련번호
var selfGoodsYn 			= cancelRequestTargetList[0].selfGoodsYn;		// 자사,입점여부

var temp1 = true;
var temp2 = true;

// 변경요청정보 승인, 철회
if (ordChgSq > 0) {
	orderChangeDetailList	= [[${orderChangeDetailList}]];					// 취소/반품/교환요청 정보
	exchangeInfoList		= [[${exchangeInfoList}]];						// 교환정보
	ordChgGb				= [[${ordChgGb}]];								// 변경요청변경구분

	if (ordChgGb == 'G681_40') {
		chgReason			= orderChangeDetailList[0].chgReason;		// 변경사유코드
		chgReasonNm			= orderChangeDetailList[0].chgReasonNm;		// 변경사유코드명
		chgMemo				= orderChangeDetailList[0].chgMemo;			// 변경사유메모
		wdGb				= orderChangeDetailList[0].wdGb;			// 회수방법
		chgOrdDtlStat		= '';										// 교환상품상세상태값
		delvAddrSq			= '';										// 교환상품배송지일련번호
	} else {
		chgReason			= exchangeInfoList[0].chgReason;			// 변경사유코드
		chgReasonNm			= exchangeInfoList[0].chgReasonNm;			// 변경사유코드명
		chgMemo				= exchangeInfoList[0].chgMemo;				// 변경사유메모
		wdGb				= exchangeInfoList[0].wdGb;					// 회수방법
		chgOrdDtlStat		= exchangeInfoList[0].ordDtlStat;			// 교환상품상세상태값
		delvAddrSq			= exchangeInfoList[0].delvAddrSq;			// 교환상품배송지일련번호
	}
}

// 1. 주문정보(교환대상)
var columnExchangeReqList = [
	{
		headerName	: "주문상세정보",
		children	: [
			{headerName: "주문번호"		, field: "ordNo"			, width: 80		, cellClass: 'text-center', hide: temp1},
			{headerName: "주문상세"		, field: "ordDtlNo"			, width: 80		, cellClass: 'text-center'},
			{headerName: "주문상세"		, field: "ordDtlStat"		, width: 80		, cellClass: 'text-center', hide: temp1},
			{headerName: "주문상세상태"		, field: "ordDtlStatNm"		, width: 100	, cellClass: 'text-center', hide: temp1},
			{headerName: "상품코드"		, field: "goodsCd"			, width: 100	, cellClass: 'text-center', hide: temp1},
			{headerName: "상품명"			, field: "goodsNm"			, width: 200	, cellClass: 'text-center', hide: temp1},
			{headerName: "상품타입"		, field: "goodsTypeNm"		, width: 100	, cellClass: 'text-center', hide: temp2}
		]
	},
	{
		headerName	: "주문상세단품정보",
		children	: [
			{headerName: "단품번호"		, field: "ordDtlItemSq"		, width: 100	, cellClass: 'text-center', hide: temp2},
			{headerName: "단품코드"		, field: "itemCd"			, width: 100	, cellClass: 'text-center', hide: temp2},
			{headerName: "단품명"			, field: "itemNm"			, width: 200	, cellClass: 'text-center', hide: temp2},
			{headerName: "옵션1"			, field: "optCd1"			, width: 80		, cellClass: 'text-center', hide: temp1},
			{headerName: "옵션2"			, field: "optCd2"			, width: 80		, cellClass: 'text-center', hide: temp2},
			{
				headerName		: "단품수량"
				, field			: "itemQty"
				, width			: 80
				, cellClass		: 'text-center'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "단품금액"
				, field			: "itemPrice"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "단품옵션금액"
				, field			: "optAddPrice"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			}
		]
	},
	{
		headerName	: "주문상세수량",
		children	: [
			{
				headerName		: "주문"
				, field			: "ordQty"
				, width			: 80
				, cellClass		: 'text-center'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "취소/요청"
				, field			: "cnclRtnQty"
				, width			: 80
				, cellClass		: 'text-center'
				, cellRenderer	: function (params) {
					var cnclRtnReqQty = parseInt(params.data.cnclRtnQty) + parseInt(params.data.ordReqChgQty);
					return cnclRtnReqQty;
				}
			},
			{headerName: "교환가능옵션"	, field: "optCd2s"			, width: 200		, cellClass: 'text-center', hide: temp2},
			{
				headerName		: "교환옵션"
				, field			: "ordChgOpt"
				, width			: 100
				, cellClass		: "text-center"
				, cellRenderer	: function (params) {
					if (ordChgSq > 0 && ordChgGb != 'G681_40') {
						$.each(exchangeInfoList, function(idx, item) {
							if (params.data.itemCd == item.itemCd && params.data.optCd1 == item.optCd1) {
								strVal = item.optCd2;
							}
						});
					} else {
						var optArr = params.data.optCd2s.split(',');
						var ordChgOpt = params.data.ordChgOpt;
						
						var strVal = '';
						strVal += '<select class="ordChgOpt" name="ordChgOpt" ordDtlNo="' + params.data.ordDtlNo + '" ordDtlItemSq="' + params.data.ordDtlItemSq + '" onchange="fnChangeOption(this)">';
						
						if (gagajf.isNull(ordChgOpt)) {
							strVal += '<option value="">선택</option>';
						} else {
							strVal += '<option value="" selected>선택</option>';
						}
						
						$.each(optArr, function (idx, item) {
							if (ordChgOpt == item) {
								strVal += '<option value="' + item + '" selected>' + item + '</option>';
							} else {
								strVal += '<option value="' + item + '">' + item + '</option>';
							}
						});
					}
					return strVal;
				}
			},
			{headerName: "재고수량"	, field: "currStockQty"			, width: 100			, cellClass: 'text-center', hide: temp2},
			{
				headerName		: "교환신청수량"
				, field			: "chgQty"
				, width			: 100
				, cellClass		: 'text-center'
				, cellRenderer	: function (params) {
					if (ordChgSq > 0) {
						// 반품TO교환, 교환TO교환
						if (ordChgGb == 'G681_40' || ordChgGb == 'G681_20') {
							strVal = params.data.chgQty;
						}
						// 교환상세
						else {
							$.each(exchangeInfoList, function (idx, item) {
								if (params.data.itemCd == item.itemCd && params.data.optCd1 == item.optCd1) {
									strVal = item.chgQty;
								}
							});
						}
					} else {
						var ordQty = parseInt(params.data.ordQty);
						var cnclRtnQty = parseInt(params.data.cnclRtnQty);
						var ordReqChgQty = parseInt(params.data.ordReqChgQty);
						var ordCanChgQty = ordQty - (cnclRtnQty + ordReqChgQty);
						
						//// 교환TO교환
						//if (ordChgGb == 'G681_20') {
						//	ordCanChgQty = parseInt(params.data.ordCanChgQty);
						//}
						
						var strVal = "";
						strVal += '<select class="ordCanChgQty ' + params.data.ordDtlNo + '" name="chgQty" ordDtlNo="' + params.data.ordDtlNo + '" onchange="fnChangeQty(this)">';
						
						for (i = 0; i <= ordCanChgQty; i++) {
							if (i == params.data.chgQty) {
								strVal += "	<option value='" + i + "' selected>" + i + "</option>";
							} else {
								strVal += "	<option value='" + i + "'>" + i + "</option>";
							}
						}
						
						strVal += "</select>";
					}
					return strVal;
				}
			}
		]
	},
	{
		headerName	: "주문단품금액",
		children	: [
			{
				headerName		: "주문"
				, field			: "ordAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "취소"
				, field			: "cnclRtnAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "즉시할인"
				, field			: "cpn1DcAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "다다익선1"
				, field			: "tmtb1DcAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "다다익선2"
				, field			: "tmtb2DcAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "상품쿠폰"
				, field			: "goodsCpnDcAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "장바구니쿠폰"
				, field			: "cartCpnDcAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "포인트"
				, field			: "pntDcAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "선포인트"
				, field			: "prePntDcAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "상품권"
				, field			: "gfcdUseAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			},
			{
				headerName		: "실결제금액"
				, field			: "realOrdAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
			}
		]
	},
	{
		headerName	: "주문배송비정보",
		children	: [
			{
				headerName		: "배송비"
				, field			: "delvFee"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
				, hide			: temp2
			},
			{headerName: "업체"			, field: "supplyCompCd"		, width: 100	, cellClass: 'text-center', hide: temp2},
			{headerName: "배송비코드"		, field: "delvFeeCd"		, width: 100	, cellClass: 'text-center', hide: temp2},
			{
				headerName		: "무료배송비"
				, field			: "minOrdAmt"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
				, hide			: temp2
			},
			{
				headerName		: "기본배송비"
				, field			: "orgDelvFee"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
				, hide			: temp2
			},
			{
				headerName		: "반품배송비"
				, field			: "rtnDelvFee"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
				, hide			: temp2
			},
			{
				headerName		: "교환배송비"
				, field			: "excDelvFee"
				, width			: 80
				, cellClass		: 'text-right'
				, cellRenderer	: function (params) {
					return params.value.addComma();
				}
				, hide			: temp2
			},
			{headerName: "전체취소가능"		, field: "allCanYn"			, width: 100	, cellClass: 'text-center', hide: temp2},
		]
	}
];
var gridOptionsExchangeReqList = gagaAgGrid.getGridOptions(columnExchangeReqList);

// Add on options
gridOptionsExchangeReqList.suppressRowClickSelection = true;
gridOptionsExchangeReqList.rowSelection = 'multiple';

// 3. 배송정보(환불정보)
var columnDelvCdList = [
	{headerName: "업체"			, field: "supplyCompNm"		, width: 100	, cellClass: 'text-center'},
	{headerName: "배송비코드"		, field: "delvFeeCd"		, width: 100	, cellClass: 'text-center'},
	{
		headerName		: "추가배송비"
		, field			: "addDelvFee"
		, width			: 100
		, cellClass		: 'text-right'
		, cellRenderer	: function (params) {
			return params.value.addComma();
		}
	},
	{headerName: "반품지명"		, field: "rtnLocNm"			, width: 100	, cellClass: 'text-center'},
	{headerName: "반품지전화번호"	, field: "rtnLocTelno"		, width: 100	, cellClass: 'text-center'},
	{headerName: "반품지우편번호"	, field: "rtnLocZipcode"	, width: 100	, cellClass: 'text-center'},
	{headerName: "반품지기본주소"	, field: "rtnLocBaseAddr"	, width: 300	, cellClass: 'text-center'},
	{headerName: "반품지상세주소"	, field: "rtnLocDtlAddr"	, width: 300	, cellClass: 'text-center'},
];
var gridOptionsDelvCdList = gagaAgGrid.getGridOptions(columnDelvCdList);
</script>

<script>
//현재 사유는 회사 입니다.
var isCustomer = false;

//  사유 변경
var fnChangeChgReason = function(reasonCd){
	var arrReasonCd = reasonCd.split(":");
	var customerReasonArr = ['G689_10', 'G689_30', 'G688_10'];
	
	isCustomer = false;

	// 취소, 반품, 교환 사유 판단
	for (i=0 ; i<customerReasonArr.length ; i++) {
		if (customerReasonArr[i] == arrReasonCd[0]) {
			isCustomer = true;
		}
	}
	
	// 귀책사유설정 회사, 고객
	if (isCustomer) {
		$("#imputeReason").text("고객");

		if ($('#wdBfSendYn').is(':checked')) {
			$('#wdBfSendYn').prop('checked', false);
		}
		
		$('#wdBfSendYn').attr('disabled', true);
	} else {
		$("#imputeReason").text("회사");
		
		if (ordChgSq == null || ordChgSq <= 0) {
			$('#wdBfSendYn').attr('disabled', false);
		}
	}

	$('#exchangeRequestFrm input[name=chgReason]').val(arrReasonCd[0]);
	$('#exchangeRequestFrm input[name=chgReasonDesc]').val(arrReasonCd[1]);
	
	// 추가배송비 설정
	fnChangeQty();
}

// 교환요청
var fnExchange = function () {
	var qty		= true;
	var opt		= true;
	var wdGb	= $('#wdGb:checked').val();
	
	if (ordChgGb == 'G681_50') {
		wdGb = 'D';
	}

	// 1. 교환수량 체크
	//$.each(cancelRequestTargetList, function(idx, item) {
	//	if (item.chgQty > 0) {
	//		qty = true;
	//
	//		if (!gagajf.isNull(item.ordChgOpt)) {
	//			opt = true;
	//		}
	//	}
	//});
	// 교환TO교환, 반품TO교환 신청 수량 설정
	if (ordChgGb == 'G681_20' || ordChgGb == 'G681_40') {
		exchangeRequestList = cancelRequestTargetList;
		//$.each(exchangeRequestList, function(idx, exchangeRequest) {
		//	$.each(exchangeInfoList , function(idx2, exchangeInfo) {
		//		if (exchangeRequest.itemCd == exchangeInfo.itemCd && exchangeRequest.optCd1 == exchangeInfo.optCd1) {
		//			exchangeRequest.chgQty = exchangeInfo.chgQty;
		//		}
		//	});
		//});
	}
	
	$.each(exchangeRequestList, function(idx, item) {
		if (item.chgQty == null || item.chgQty == 0) {
			qty = false;
		}

		if (gagajf.isNull(item.ordChgOpt)) {
			opt = false;
		}
	});

	if (qty == false) {
		mcxDialog.alert('교환 할 수량을 입력하세요.');
		return;
	}

	if (opt == false) {
		mcxDialog.alert('교환옵션을 선택해주세요.');
		return;
	}

	// 2. 교환사유 체크
	var chgReason = $("#exchangeRequestFrm select[name=selectChgReason]").val();
	
	if (ordChgGb == 'G681_20') {
		chgReason = $('#exchangeRequestFrm input[name=chgReason]').val();
	}
	//var chgReason = $('#exchangeRequestFrm input[name=chgReason]').val();

	if (gagajf.isNull(chgReason)) {
		mcxDialog.alert("교환사유를 입력하세요."); 
		return;
	}

	// 5. 회수지정보설정
	if (wdGb == 'W') {
		var chgerNm			= $("#exchangeRequestFrm input[name=chgerNm]").val();
		var chgerZipcode	= $("#exchangeRequestFrm input[name=chgerZipcode]").val();
		var chgerBaseAddr	= $("#exchangeRequestFrm input[name=chgerBaseAddr]").val();
		var chgerDtlAddr	= $("#exchangeRequestFrm input[name=chgerDtlAddr]").val();
		
		var chgerPhnno1		= $("#exchangeRequestFrm select[name=chgerPhnno1]").val();
		var chgerPhnno2		= $("#exchangeRequestFrm input[name=chgerPhnno2]").val();
		var chgerPhnno3		= $("#exchangeRequestFrm input[name=chgerPhnno3]").val();
		
		var chgerTelno1		= $("#exchangeRequestFrm select[name=chgerTelno1]").val();
		var chgerTelno2		= $("#exchangeRequestFrm input[name=chgerTelno2]").val();
		var chgerTelno3		= $("#exchangeRequestFrm input[name=chgerTelno3]").val();
	
		if (gagajf.isNull(chgerZipcode)) {
			mcxDialog.alert("회수지주소를 입력하세요."); return;
		}
		if (gagajf.isNull(chgerBaseAddr)) {
			mcxDialog.alert("회수지주소를 입력하세요."); return;
		}
		if (gagajf.isNull(chgerDtlAddr)) {
			mcxDialog.alert("회수지주소를 입력하세요."); return;
		}
		
		if (gagajf.isNull(chgerPhnno1)) {
			mcxDialog.alert("휴대전화를 입력하세요."); return;
		}
		if (gagajf.isNull(chgerPhnno2)) {
			mcxDialog.alert("휴대전화를 입력하세요."); return;
		}
		if (gagajf.isNull(chgerPhnno3)) {
			mcxDialog.alert("휴대전화를 입력하세요."); return;
		}
	
		var chgerPhnno 		= chgerPhnno1 + '-' + chgerPhnno2 + '-' + chgerPhnno3;
		var chgerEmail 		= orderInfoList[0].ordEmail;
		var chgerTelno;
		if (gagajf.isNull(chgerTelno1) && gagajf.isNull(chgerTelno2) && gagajf.isNull(chgerTelno3)) {
			chgerTelno 		= '';
		} else {
			chgerTelno 		= chgerTelno1 + '-' + chgerTelno2 + '-' + chgerTelno3;
		}
	}

	// 교환지정보 설정
	var recipNm			= $("#exchangeRequestFrm input[name=recipNm]").val();
	var recipZipcode	= $("#exchangeRequestFrm input[name=recipZipcode]").val();
	var recipBaseAddr	= $("#exchangeRequestFrm input[name=recipBaseAddr]").val();
	var recipDtlAddr	= $("#exchangeRequestFrm input[name=recipDtlAddr]").val();

	var recipPhnno1		= $("#exchangeRequestFrm select[name=recipPhnno1]").val();
	var recipPhnno2		= $("#exchangeRequestFrm input[name=recipPhnno2]").val();
	var recipPhnno3		= $("#exchangeRequestFrm input[name=recipPhnno3]").val();

	var recipTelno1		= $("#exchangeRequestFrm select[name=recipTelno1]").val();
	var recipTelno2		= $("#exchangeRequestFrm input[name=recipTelno2]").val();
	var recipTelno3		= $("#exchangeRequestFrm input[name=recipTelno3]").val();
	
	if (gagajf.isNull(recipZipcode)) {
		mcxDialog.alert("교환지주소를 입력하세요."); return;
	}
	if (gagajf.isNull(recipBaseAddr)) {
		mcxDialog.alert("교환지주소를 입력하세요."); return;
	}
	if (gagajf.isNull(recipDtlAddr)) {
		mcxDialog.alert("교환지주소를 입력하세요."); return;
	}
	
	if (gagajf.isNull(recipPhnno1)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	if (gagajf.isNull(recipPhnno2)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	if (gagajf.isNull(recipPhnno3)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}

	var recipPhnno 		= recipPhnno1 + '-' + recipPhnno2 + '-' + recipPhnno3;
	var recipEmail 		= orderInfoList[0].ordEmail;
	var recipTelno;
	if (gagajf.isNull(recipTelno1) && gagajf.isNull(recipTelno2) && gagajf.isNull(recipTelno3)) {
		recipTelno 		= '';
	} else {
		recipTelno 		= recipTelno1 + '-' + recipTelno2 + '-' + recipTelno3;
	}
	
	// 선발송 여부 설정
	let wdBfSendYn = $('#wdBfSendYn').is(':checked') ? 'Y' : 'N';

	var jsonObj = {
		"ordNo"				: $('#exchangeRequestFrm input[name=ordNo]').val()
		,"chgReason" 		: $('#exchangeRequestFrm input[name=chgReason]').val()
		,"chgMemo"			: $('#chgMemo').val()
		,"cancelReqList" 	: exchangeRequestList
		,"isCustomer"		: isCustomer
		,"wdGb"				: wdGb
		,"addPayCost"		: addDelvFee
		,"chgerNm"			: chgerNm
		,"chgerEmail"		: chgerEmail
		,"chgerZipcode"		: chgerZipcode
		,"chgerBaseAddr"	: chgerBaseAddr
		,"chgerDtlAddr"		: chgerDtlAddr
		,"chgerPhnno"		: chgerPhnno
		,"chgerTelno"		: chgerTelno
		,"chgerRtnMemo"		: $("#exchangeRequestFrm textarea[name=chgerRtnMemo]").val()
		,"recipNm"			: recipNm
		,"recipEmail"		: recipEmail
		,"recipZipcode"		: recipZipcode
		,"recipBaseAddr"	: recipBaseAddr
		,"recipDtlAddr"		: recipDtlAddr
		,"recipPhnno"		: recipPhnno
		,"recipTelno"		: recipTelno
		,"delvMemo"			: $("#exchangeRequestFrm textarea[name=delvMemo]").val()
		,"ordChgSq"			: ordChgSq
		,"wdBfSendYn"		: wdBfSendYn
		,"ordChgGb"			: ordChgGb
	}

	// 주문번호, 교환사유, 교환메모, (취소, 반품, 교환 신청 정보 목록)
	var jsonData = JSON.stringify(jsonObj);
	
	// URL 설정
	var url;
	if (ordChgGb == 'G681_40') {
		url = '/orderChange/return/to/exchange/';
	} else if (ordChgGb == 'G681_20') {
		url = '/orderChange/exchange/to/exchange/';
	} else {
		url = '/orderChange/exchange/request/';
	}

	mcxDialog.confirm('교환요청하시겠습니까?', {
		cancelBtnText		: "반품",
		sureBtnClick		: function(){
			// 교환 실행
			gagajf.ajaxJsonSubmit(
				url
				, jsonData
				, function() {
					uifnPopupClose('popupOrderDetail');
					fnReOpenOrderDetailPopup();
					uifnPopupClose('popupExchangeRequestForm');
				}
			);
		}
	});
}

// 교환철회 처리
var fnExchangeCancel = function() {
	let data = {};
	data.ordChgSq = ordChgSq;
	data.ordNo = ordNo;

	let jsonData = JSON.stringify(data);

	mcxDialog.confirm('요청번호 [' + ordChgSq + '] 에 대한 요청철회 처리를 하시겠습니까?', {
		cancelBtnText		: "취소",
		sureBtnClick		: function(){
			// 교환 실행
			gagajf.ajaxJsonSubmit(
				'/orderChange/exchangeCancelRequest/'
				, jsonData
				, function() {
					uifnPopupClose('popupOrderDetail');
					fnReOpenOrderDetailPopup();
					uifnPopupClose('popupExchangeRequestForm');
				}
			);
		}
	});
}

// 우편번호 DAUM을 이용한 우편번호 팝업 레이어
var fnOpenDaumAddr = function(loc) {
	let daumZip = new daum.Postcode({
		oncomplete: function(data) {
			// 우편번호와 주소 정보를 해당 필드에 넣는다.
			if (loc == 'withdraw') {
				$('#exchangeRequestFrm input[name=chgerZipcode]').val(data.zonecode);
				$('#exchangeRequestFrm input[name=chgerBaseAddr]').val(cfnGetDaumRoadAddr(data));
				$('#exchangeRequestFrm input[name=chgerDtlAddr]').focus();
			} else if (loc == 'exchange') {
				$('#exchangeRequestFrm input[name=recipZipcode]').val(data.zonecode);
				$('#exchangeRequestFrm input[name=recipBaseAddr]').val(cfnGetDaumRoadAddr(data));
				$('#exchangeRequestFrm input[name=recipDtlAddr]').focus();
			}
			
			cfnCloseDaumAddr();
		},
		width: '100%'
	});
	
	cfnOpenDaumAddr(daumZip);
}

// 회수지정보 설정
var fnSetChger = function(){
	var data;
	
	if (ordChgSq > 0) {
		data = orderChangeDetailList[0];
		data.recipPhnno = data.chgerPhnno;
		data.recipTelno = data.chgerTelno;
		data.recipNm = data.chgerNm;
		data.recipZipcode = data.chgerZipcode;
		data.recipBaseAddr = data.chgerBaseAddr;
		data.recipDtlAddr = data.chgerDtlAddr;
	} else {
		data = orderDelvAddrInfo[0];
	}
	
	var spRecipPhnno = (data.recipPhnno != null) ? data.recipPhnno.split('-') : null;
	var spRecipTelno = (data.recipTelno != null) ? data.recipTelno.split('-') : null;
	
	$("#exchangeRequestFrm input[name=chgerNm]").val(data.recipNm);
	$("#exchangeRequestFrm input[name=chgerZipcode]").val(data.recipZipcode);
	$("#exchangeRequestFrm input[name=chgerBaseAddr]").val(data.recipBaseAddr);
	$("#exchangeRequestFrm input[name=chgerDtlAddr]").val(data.recipDtlAddr);
	$("#exchangeRequestFrm textarea[name=chgerRtnMemo]").val(data.chgerRtnMemo);
	
	if (spRecipPhnno) {
		$("#exchangeRequestFrm select[name=chgerPhnno1]").val(spRecipPhnno[0]);
		$("#exchangeRequestFrm input[name=chgerPhnno2]").val(spRecipPhnno[1]);
		$("#exchangeRequestFrm input[name=chgerPhnno3]").val(spRecipPhnno[2]);
	}
	
	if (spRecipTelno) {
		$("#exchangeRequestFrm select[name=chgerTelno1]").val(spRecipTelno[0]);
		$("#exchangeRequestFrm input[name=chgerTelno2]").val(spRecipTelno[1]);
		$("#exchangeRequestFrm input[name=chgerTelno3]").val(spRecipTelno[2]);
	}
}

// 교환지정보 설정
var fnSetExchangeAddr = function(){
	var data;
	
	if (ordChgSq > 0 && ordChgGb != 'G681_40') {
		data = exchangeInfoList[0];
	} else {
		data = orderDelvAddrInfo[0];
	}
	
	var spRecipPhnno = (data.recipPhnno != null) ? data.recipPhnno.split('-') : null;
	var spRecipTelno = (data.recipTelno != null) ? data.recipTelno.split('-') : null;
	
	$("#exchangeRequestFrm input[name=recipNm]").val(data.recipNm);
	$("#exchangeRequestFrm input[name=recipZipcode]").val(data.recipZipcode);
	$("#exchangeRequestFrm input[name=recipBaseAddr]").val(data.recipBaseAddr);
	$("#exchangeRequestFrm input[name=recipDtlAddr]").val(data.recipDtlAddr);
	$("#exchangeRequestFrm textarea[name=delvMemo]").val(data.delvMemo);
	
	if (spRecipPhnno) {
		$("#exchangeRequestFrm select[name=recipPhnno1]").val(spRecipPhnno[0]);
		$("#exchangeRequestFrm input[name=recipPhnno2]").val(spRecipPhnno[1]);
		$("#exchangeRequestFrm input[name=recipPhnno3]").val(spRecipPhnno[2]);
	}
	
	if (spRecipTelno) {
		$("#exchangeRequestFrm select[name=recipTelno1]").val(spRecipTelno[0]);
		$("#exchangeRequestFrm input[name=recipTelno2]").val(spRecipTelno[1]);
		$("#exchangeRequestFrm input[name=recipTelno3]").val(spRecipTelno[2]);
	}
}

// 교환옵션 변경 이벤트
var fnChangeOption = function(param) {
	var optCd2 = $(param).val();
	var ordDtlNo = $(param).attr('ordDtlNo');
	var ordDtlItemSq = $(param).attr('ordDtlItemSq');

	$.each(cancelRequestTargetList, function(idx, item){
		if (item.ordDtlNo == ordDtlNo && item.ordDtlItemSq == ordDtlItemSq) {
			var stockQtyArr = item.currStockQtys.split(',');
			var sizeCdArr = item.optCd2s.split(',');
			var stockIdx = sizeCdArr.indexOf(optCd2);
			var stockQty = stockQtyArr[stockIdx];
			item.currStockQty = stockQty;
			item.ordChgOpt = optCd2;
		}
	});
	
	gridOptionsExchangeReqList.api.setRowData(cancelRequestTargetList);
}

// 교환수량 변경 이벤트
var fnChangeQty = function(param) {
	var chgQty = $(param).val();
	var ordDtlNo = $(param).attr('ordDtlNo');
	var exchangeRequestTargetList = [];

	$.each(cancelRequestTargetList, function(idx, item){
		if (item.ordDtlNo == ordDtlNo) {
			if (gagajf.isNull(item.ordChgOpt)) {
				mcxDialog.alert('교환옵션을 선택해주세요.');
				return false;
			}
			
			item.chgQty = chgQty;
			
			if (chgQty > 0) {
				exchangeRequestTargetList.push(item);
			}
		} else if (item.chgQty > 0) {
			exchangeRequestTargetList.push(item);
		} else if (ordChgSq > 0 && item.ordCanChgQty > 0) {
			exchangeRequestTargetList.push(item);
		}
	});

	// 추가배송비 설정
	fnAddDelvFee(exchangeRequestTargetList);

	// 교환대상목록 설정
	exchangeRequestList = exchangeRequestTargetList;

	gridOptionsExchangeReqList.api.setRowData(cancelRequestTargetList);
}

// 추가배송비 설정
var fnAddDelvFee = function (exchangeRequestTargetList) {
	var delvCdList = [];
	var delvFeeList = [];
	var delvFee = 0;

	// 고객 귀책사유에 한하여 추가배송비 설정
	$.each(exchangeRequestTargetList, function (idx, item) {
		if (!delvCdList.includes(item.delvFeeCd)) {
			if (isCustomer) {
				var delvFeeTmp = $('#wdGb:checked').val() == 'W' ? item.excDelvFee : item.rtnDelvFee;
				delvFee += delvFeeTmp;
				item.addDelvFeeYn = 'Y';
				item.addDelvFee = delvFeeTmp;
			} else {
				item.addDelvFeeYn = 'N';
				item.addDelvFee = 0;
			}

			delvCdList.push(item.delvFeeCd);
			delvFeeList.push(item);
		}
	});

	addDelvFee = delvFee;
	addDelvFeeList = delvFeeList;

	// 회수방법 > 직접발송일 경우 그리드 표시
	if ($('#wdGb:checked').val() == 'D') {
		gridOptionsDelvCdList.api.setRowData(addDelvFeeList);
	} else {
		gridOptionsDelvCdList.api.setRowData();
	}
	
	$('#addDelvFee').text(addDelvFee.addComma() + '원');
}

// 회수방법 라디오 클릭 이벤트
var fnChangeWdGb = function(param) {
	let wdGb = $(param).val();

	// 회수지정보 히든 처리
	if (wdGb == 'D') {
		$('.chger').css('display', 'none');
	} else {
		$('.chger').css('display', '');
	}

	// 추가배송비 계산
	fnChangeQty();
}

// 회수지 정보 수정
var fnChangeChgerInfo = function() {
	let url				= '/orderChange/change/chger/addr';
	let chgerNm			= $("#exchangeRequestFrm input[name=chgerNm]").val();
	let chgerZipcode	= $("#exchangeRequestFrm input[name=chgerZipcode]").val();
	let chgerBaseAddr	= $("#exchangeRequestFrm input[name=chgerBaseAddr]").val();
	let chgerDtlAddr	= $("#exchangeRequestFrm input[name=chgerDtlAddr]").val();
	let chgerPhnno1		= $("#exchangeRequestFrm select[name=chgerPhnno1]").val();
	let chgerPhnno2		= $("#exchangeRequestFrm input[name=chgerPhnno2]").val();
	let chgerPhnno3		= $("#exchangeRequestFrm input[name=chgerPhnno3]").val();
	let chgerTelno1		= $("#exchangeRequestFrm select[name=chgerTelno1]").val();
	let chgerTelno2		= $("#exchangeRequestFrm input[name=chgerTelno2]").val();
	let chgerTelno3		= $("#exchangeRequestFrm input[name=chgerTelno3]").val();
	
	if (gagajf.isNull(chgerZipcode)) {
		mcxDialog.alert("회수지주소를 입력하세요."); return;
	}
	if (gagajf.isNull(chgerBaseAddr)) {
		mcxDialog.alert("회수지주소를 입력하세요."); return;
	}
	if (gagajf.isNull(chgerDtlAddr)) {
		mcxDialog.alert("회수지주소를 입력하세요."); return;
	}
	
	if (gagajf.isNull(chgerPhnno1)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	if (gagajf.isNull(chgerPhnno2)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	if (gagajf.isNull(chgerPhnno3)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	
	let chgerPhnno 		= chgerPhnno1 + '-' + chgerPhnno2 + '-' + chgerPhnno3;
	let chgerRtnMemo	= $("#exchangeRequestFrm textarea[name=chgerRtnMemo]").val();
	let chgerTelno 		= '';
	
	if (!gagajf.isNull(chgerTelno1) && !gagajf.isNull(chgerTelno2) && !gagajf.isNull(chgerTelno3)) {
		chgerTelno = chgerTelno1 + '-' + chgerTelno2 + '-' + chgerTelno3;
	}
	
	let data = {};
	data.ordChgSq = ordChgSq;
	data.chgerNm = chgerNm;
	data.chgerPhnno = chgerPhnno;
	data.chgerZipcode = chgerZipcode;
	data.chgerBaseAddr = chgerBaseAddr;
	data.chgerDtlAddr = chgerDtlAddr;
	data.chgerRtnMemo = chgerRtnMemo;
	
	let jsonData = JSON.stringify(data);
	
	gagajf.ajaxJsonSubmit(url, jsonData, function(result){
		
	});
}

var fnChangeRecipInfo = function() {
	let url				= '/order/deliver/addr/update';
	var recipNm			= $("#exchangeRequestFrm input[name=recipNm]").val();
	var recipZipcode	= $("#exchangeRequestFrm input[name=recipZipcode]").val();
	var recipBaseAddr	= $("#exchangeRequestFrm input[name=recipBaseAddr]").val();
	var recipDtlAddr	= $("#exchangeRequestFrm input[name=recipDtlAddr]").val();
	var delvMemo		= $("#exchangeRequestFrm textarea[name=delvMemo]").val();
	
	var recipPhnno1		= $("#exchangeRequestFrm select[name=recipPhnno1]").val();
	var recipPhnno2		= $("#exchangeRequestFrm input[name=recipPhnno2]").val();
	var recipPhnno3		= $("#exchangeRequestFrm input[name=recipPhnno3]").val();
	
	var recipTelno1		= $("#exchangeRequestFrm select[name=recipTelno1]").val();
	var recipTelno2		= $("#exchangeRequestFrm input[name=recipTelno2]").val();
	var recipTelno3		= $("#exchangeRequestFrm input[name=recipTelno3]").val();
	
	if (gagajf.isNull(recipZipcode)) {
		mcxDialog.alert("교환지주소를 입력하세요."); return;
	}
	if (gagajf.isNull(recipBaseAddr)) {
		mcxDialog.alert("교환지주소를 입력하세요."); return;
	}
	if (gagajf.isNull(recipDtlAddr)) {
		mcxDialog.alert("교환지주소를 입력하세요."); return;
	}
	
	if (gagajf.isNull(recipPhnno1)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	if (gagajf.isNull(recipPhnno2)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	if (gagajf.isNull(recipPhnno3)) {
		mcxDialog.alert("휴대전화를 입력하세요."); return;
	}
	
	var recipPhnno 		= recipPhnno1 + '-' + recipPhnno2 + '-' + recipPhnno3;
	var recipTelno;
	if (gagajf.isNull(recipTelno1) && gagajf.isNull(recipTelno2) && gagajf.isNull(recipTelno3)) {
		recipTelno 		= '';
	} else {
		recipTelno 		= recipTelno1 + '-' + recipTelno2 + '-' + recipTelno3;
	}
	
	let data = {};
	data.delvAddrSq = delvAddrSq;
	data.recipNm = recipNm;
	data.recipPhnno = recipPhnno;
	data.recipZipcode = recipZipcode;
	data.recipBaseAddr = recipBaseAddr;
	data.recipDtlAddr = recipDtlAddr;
	data.delvMemo = delvMemo;
	
	let jsonData = JSON.stringify(data);
	
	gagajf.ajaxJsonSubmit(url, jsonData, function(result){
		
	});
}
$(document).ready(function() {
	// 1. 그리드생성
	gagaAgGrid.createGrid('gridOrderCancelRequestList'		, gridOptionsExchangeReqList);			// 주문정보
	gagaAgGrid.createGrid('gridDelvCdList'					, gridOptionsDelvCdList);				// 배송정보
	gridOptionsExchangeReqList.api.setRowData(cancelRequestTargetList);
	
	// 2.1 TOTAL ROWS 없애기
	gagaAgGrid.hideStatusBar('gridOrderCancelRequestList');
	gagaAgGrid.hideStatusBar('gridOrderCancelRequestToBeList');
	gagaAgGrid.hideStatusBar('gridDelvCdList');
	
	// 3. 회수지정보설정
	fnSetChger();
	
	// 4. 교환지정보설정
	fnSetExchangeAddr();
	
	// 5. 회수방법 라디오 체크 처리
	if (ordChgGb == 'G681_50') {
		$('input:radio[name="wdGb"]:radio[value="D"]').prop('checked', true);
		$('.chger').css('display', 'none');
		$('input:radio[name=wdGb]').attr('disabled', true);
	}
	// 2021.07.15 입점업체인 경우에는 회수요청만 해당
	else if (selfGoodsYn == "N") {
		$('input:radio[name="wdGb"]:radio[value="W"]').prop('checked', true);
		$('.chger').css('display', 'none');
		$('input:radio[name=wdGb]').attr('disabled', true);
	} else {
		if (wdGb == 'D') {
			$('input:radio[name="wdGb"]:radio[value="D"]').prop('checked', true);
			$('.chger').css('display', 'none');
		} else {
			$('input:radio[name="wdGb"]:radio[value="W"]').prop('checked', true);
		}
	}

	// 교환철회 처리
	if (ordChgSq > 0) {
		// 5. 교환사유설정
		$('#chgReason').text(chgReasonNm);
		
		// 6. 교환요청메모설정
		$('#chgMemo').text(chgMemo);
		
		// 7. 귀책사유 설정
		fnChangeChgReason(chgReason);
		
		// 8. 데이터 Disabled 처리
		$('input:radio[name=wdGb]').attr('disabled', true);				// 8-1. 회수방법
		$('input[name=chgerBaseAddr]').attr('readOnly', true);			// 8-4. 회수지정보 > 기본주소
		$('input[name=recipBaseAddr]').attr('readOnly', true);			// 8-10. 교환지정보 > 기본주소
		$('#chgMemo').attr('readOnly', true);							// 8-2. 요청메모
		
		// 2021.06.25 교환접수, 교환대기 상태에서는 회수지 정보 수정 가능
		if (!gagajf.isNull(ordChgGb) || (chgStat != 'G685_20' && chgStat != 'G685_21')) {
			$('input[name=chgerNm]').attr('readOnly', true);				// 8-3. 회수지정보 > 보내는사람
			$('input[name=chgerDtlAddr]').attr('readOnly', true);			// 8-5. 회수지정보 > 상세주소
			$('select[name=chgerTelno1]').attr('disabled', true);			// 8-6. 회수지정보 > 일반전화
			$('input[name=chgerTelno2]').attr('readOnly', true);			// 8-6. 회수지정보 > 일반전화
			$('input[name=chgerTelno3]').attr('readOnly', true);			// 8-6. 회수지정보 > 일반전화
			$('select[name=chgerPhnno1]').attr('disabled', true);			// 8-7. 회수지정보 > 휴대전화
			$('input[name=chgerPhnno2]').attr('readOnly', true);			// 8-7. 회수지정보 > 휴대전화
			$('input[name=chgerPhnno3]').attr('readOnly', true);			// 8-7. 회수지정보 > 휴대전화
			$('#chgerRtnMemo').attr('readOnly', true);						// 8-8. 회수지정보 > 반품메모
		}
		
		// 2021.06.25 교환상품 배송중 상태 전까지 정보 수정 가능
		if (ordChgGb == 'G681_20' || (chgStat == 'G685_40' && (chgOrdDtlStat != 'G013_20' && chgOrdDtlStat != 'G013_30' && chgOrdDtlStat != 'G013_35'))) {
			$('input[name=recipNm]').attr('readOnly', true);				// 8-9. 교환지정보 > 받는사람
			$('input[name=recipDtlAddr]').attr('readOnly', true);			// 8-11. 교환지정보 > 상세주소
			$('select[name=recipTelno1]').attr('disabled', true);			// 8-12. 교환지정보 > 일반전화
			$('input[name=recipTelno2]').attr('readOnly', true);			// 8-12. 교환지정보 > 일반전화
			$('input[name=recipTelno3]').attr('readOnly', true);			// 8-12. 교환지정보 > 일반전화
			$('select[name=recipPhnno1]').attr('disabled', true);			// 8-13. 교환지정보 > 휴대전화
			$('input[name=recipPhnno2]').attr('readOnly', true);			// 8-13. 교환지정보 > 휴대전화
			$('input[name=recipPhnno3]').attr('readOnly', true);			// 8-13. 교환지정보 > 휴대전화
			$('#delvMemo').attr('readOnly', true);							// 8-14. 교환지정보 > 배송메모
		}
	}
});
</script>
</html>





